package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Menu;
import com.tofly.base.entity.Role;
import com.tofly.base.entity.User;

import java.util.List;
import java.util.Map;

public interface RoleService extends IService<Role> {

    List<Role> listRolesByUserId(Long userId);

    List<User> getExistUserListByRole(Long roleId);

    List<User> getNoExistUserListByRole(Long roleId);

    String deleteRolesByIds(String ids);

    Boolean selectByRoleName(Long roleId, String name);
}
